Index: palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3711)
+++ palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3712)
@@ -6025,5 +6076,4 @@
                            usm_wall_mod
                            
-                           
   
 !
@@ -6094,14 +6144,14 @@
     SUBROUTINE usm_read_anthropogenic_heat
     
-        INTEGER(iwp)                  :: i,j,k,ii
-        REAL(wp)                      :: heat
-
+        INTEGER(iwp)                  :: i,j,k,ii  !< running indices
+        REAL(wp)                      :: heat      !< anthropogenic heat
+
+!
 !--     allocation of array of sources of anthropogenic heat and their diural profile
         ALLOCATE( aheat(naheatlayers,nys:nyn,nxl:nxr) )
         ALLOCATE( aheatprof(naheatlayers,0:24) )
 
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+!
 !--     read daily amount of heat and its daily cycle
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
         aheat = 0.0_wp
         DO  ii = 0, io_blocks-1
@@ -6136,11 +6186,10 @@
         ENDDO
         
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+!
 !--     read diurnal profiles of heat sources
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
         aheatprof = 0.0_wp
         DO  ii = 0, io_blocks-1
             IF ( ii == io_group )  THEN
-
+!
 !--             open anthropogenic heat profile file 
                 OPEN( 151, file='ANTHROPOGENIC_HEAT_PROFILE'//TRIM(coupling_char), action='read', &
@@ -6188,22 +6237,22 @@
        IMPLICIT NONE
 
-       INTEGER(iwp)       ::  l                !< index variable for surface type
-       INTEGER(iwp)       ::  i                !< running index over input files
-       INTEGER(iwp)       ::  k                !< running index over previous input files covering current local domain
-       INTEGER(iwp)       ::  ns_h_on_file_usm !< number of horizontal surface elements (urban type) on file
-       INTEGER(iwp)       ::  nxlc             !< index of left boundary on current subdomain
-       INTEGER(iwp)       ::  nxlf             !< index of left boundary on former subdomain 
-       INTEGER(iwp)       ::  nxl_on_file      !< index of left boundary on former local domain 
-       INTEGER(iwp)       ::  nxrc             !< index of right boundary on current subdomain
-       INTEGER(iwp)       ::  nxrf             !< index of right boundary on former subdomain
-       INTEGER(iwp)       ::  nxr_on_file      !< index of right boundary on former local domain 
-       INTEGER(iwp)       ::  nync             !< index of north boundary on current subdomain
-       INTEGER(iwp)       ::  nynf             !< index of north boundary on former subdomain
-       INTEGER(iwp)       ::  nyn_on_file      !< index of north boundary on former local domain 
-       INTEGER(iwp)       ::  nysc             !< index of south boundary on current subdomain 
-       INTEGER(iwp)       ::  nysf             !< index of south boundary on former subdomain
-       INTEGER(iwp)       ::  nys_on_file      !< index of south boundary on former local domain
+       INTEGER(iwp)       ::  l                 !< index variable for surface type
+       INTEGER(iwp)       ::  i                 !< running index over input files
+       INTEGER(iwp)       ::  k                 !< running index over previous input files covering current local domain
+       INTEGER(iwp)       ::  ns_h_on_file_usm  !< number of horizontal surface elements (urban type) on file
+       INTEGER(iwp)       ::  nxlc              !< index of left boundary on current subdomain
+       INTEGER(iwp)       ::  nxlf              !< index of left boundary on former subdomain 
+       INTEGER(iwp)       ::  nxl_on_file       !< index of left boundary on former local domain 
+       INTEGER(iwp)       ::  nxrc              !< index of right boundary on current subdomain
+       INTEGER(iwp)       ::  nxrf              !< index of right boundary on former subdomain
+       INTEGER(iwp)       ::  nxr_on_file       !< index of right boundary on former local domain 
+       INTEGER(iwp)       ::  nync              !< index of north boundary on current subdomain
+       INTEGER(iwp)       ::  nynf              !< index of north boundary on former subdomain
+       INTEGER(iwp)       ::  nyn_on_file       !< index of north boundary on former local domain 
+       INTEGER(iwp)       ::  nysc              !< index of south boundary on current subdomain 
+       INTEGER(iwp)       ::  nysf              !< index of south boundary on former subdomain
+       INTEGER(iwp)       ::  nys_on_file       !< index of south boundary on former local domain
        
-       INTEGER(iwp)       ::  ns_v_on_file_usm(0:3) !< number of vertical surface elements (urban type) on file
+       INTEGER(iwp)       ::  ns_v_on_file_usm(0:3)  !< number of vertical surface elements (urban type) on file
        
        INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE, SAVE ::  start_index_on_file 
@@ -6260,5 +6309,5 @@
 
                    DO  l = 0, 3
-                      IF ( ALLOCATED( tmp_surf_wall_v(l)%t ) )                      &
+                      IF ( ALLOCATED( tmp_surf_wall_v(l)%t ) )                 &
                          DEALLOCATE( tmp_surf_wall_v(l)%t )
                       IF ( ALLOCATED( tmp_wall_v(l)%t ) )                      &
@@ -6322,5 +6371,5 @@
              CASE ( 't_surf_wall_h' )
                 IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_surf_wall_h_1 ) )                       &
+                   IF ( .NOT.  ALLOCATED( t_surf_wall_h_1 ) )                  &
                       ALLOCATE( t_surf_wall_h_1(1:surf_usm_h%ns) )
                    READ ( 13 )  tmp_surf_wall_h
@@ -6338,5 +6387,5 @@
              CASE ( 't_surf_wall_v(0)' )
                 IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_surf_wall_v_1(0)%t ) )                  &
+                   IF ( .NOT.  ALLOCATED( t_surf_wall_v_1(0)%t ) )             &
                       ALLOCATE( t_surf_wall_v_1(0)%t(1:surf_usm_v(0)%ns) )
                    READ ( 13 )  tmp_surf_wall_v(0)%t
@@ -6354,5 +6403,5 @@
              CASE ( 't_surf_wall_v(1)' )
                 IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_surf_wall_v_1(1)%t ) )                  &
+                   IF ( .NOT.  ALLOCATED( t_surf_wall_v_1(1)%t ) )             &
                       ALLOCATE( t_surf_wall_v_1(1)%t(1:surf_usm_v(1)%ns) )
                    READ ( 13 )  tmp_surf_wall_v(1)%t
@@ -6370,5 +6419,5 @@
              CASE ( 't_surf_wall_v(2)' )
                 IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_surf_wall_v_1(2)%t ) )                  &
+                   IF ( .NOT.  ALLOCATED( t_surf_wall_v_1(2)%t ) )             &
                       ALLOCATE( t_surf_wall_v_1(2)%t(1:surf_usm_v(2)%ns) )
                    READ ( 13 )  tmp_surf_wall_v(2)%t
@@ -6386,5 +6435,5 @@
              CASE ( 't_surf_wall_v(3)' )
                 IF ( k == 1 )  THEN
-                   IF ( .NOT.  ALLOCATED( t_surf_wall_v_1(3)%t ) )                  &
+                   IF ( .NOT.  ALLOCATED( t_surf_wall_v_1(3)%t ) )             &
                       ALLOCATE( t_surf_wall_v_1(3)%t(1:surf_usm_v(3)%ns) )
                    READ ( 13 )  tmp_surf_wall_v(3)%t
@@ -6835,5 +6884,4 @@
        
     END SUBROUTINE usm_rrd_local
-    
 
     
@@ -6883,13 +6931,13 @@
         IF ( .NOT. ascii_file )  RETURN
 
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+!
 !--     read categories of walls and their parameters
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
         DO  ii = 0, io_blocks-1
             IF ( ii == io_group )  THEN
-
+!
 !--             open urban surface file 
                 OPEN( 151, file='SURFACE_PARAMETERS'//coupling_char, action='read', &
-                           status='old', form='formatted', err=15 ) 
+                           status='old', form='formatted', err=15 )
+!
 !--             first test and get n_surface_types
                 k = 0
@@ -6906,4 +6954,5 @@
                 ALLOCATE( surface_type_codes(n_surface_types) )
                 ALLOCATE( surface_params(n_surface_params, n_surface_types) )
+!
 !--             real reading
                 rewind( 151 )
@@ -6927,12 +6976,11 @@
         ENDDO
     
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+!
 !--     read types of surfaces
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
         usm_par = 0
         DO  ii = 0, io_blocks-1
             IF ( ii == io_group )  THEN
 
-                !
+!
 !--             open csv urban surface file 
                 OPEN( 151, file='URBAN_SURFACE'//TRIM(coupling_char), action='read', &
@@ -6942,4 +6990,5 @@
                 DO
                     l = l+1
+!
 !--                 i, j, height, nz, roof, dirwe, dirsn, category, soilcat,
 !--                 weheight1, wecat1, snheight1, sncat1, weheight2, wecat2, snheight2, sncat2,
@@ -6955,8 +7004,10 @@
 
                     IF ( i >= nxlg  .AND.  i <= nxrg  .AND.  j >= nysg  .AND.  j <= nyng )  THEN
+!
 !--                     write integer variables into array
                         usm_par(:,j,i) = (/1, nz, roof, dirwe, dirsn, category,                      &
                                           weheight1, wecat1, weheight2, wecat2, weheight3, wecat3,   &
                                           snheight1, sncat1, snheight2, sncat2, snheight3, sncat3 /)
+!
 !--                     write real values into array
                         usm_val(:,j,i) = (/ albedo, thick,                                           &
@@ -7003,4 +7054,5 @@
                      usm_par(16,j,i) > nzt                &  !< incorrect wall or roof level height for south-north wall
                     ) )  THEN
+!
 !--                 incorrect input data
                     WRITE (message_string, "(A,2I5)") 'missing or incorrect data in file URBAN_SURFACE'// &
@@ -7063,4 +7115,5 @@
            ENDDO
            IF ( ip == -99999 )  THEN
+!
 !--           land/roof category not found
               WRITE (9,"(A,I5,A,3I5)") 'land/roof category ', it,     &
@@ -7079,4 +7132,5 @@
               ENDDO
               IF ( ip == -99999 )  THEN
+!
 !--              default land/roof category not found
                  WRITE (9,"(A,I5,A,3I5)") 'Default land/roof category', category, ' not found!'
@@ -7090,6 +7144,8 @@
               surf_usm_h%albedo(:,m) = surface_params(ialbedo,ip)
            ENDIF
+!
 !--        Albedo type is 0 (custom), others are replaced later
            surf_usm_h%albedo_type(:,m) = 0
+!
 !--        Transmissivity
            IF ( surf_usm_h%transmissivity(m) < 0.0_wp )  THEN
@@ -7175,4 +7231,5 @@
 
               IF ( iw < 0 .OR. jw < 0 ) THEN
+!
 !--              wall on west or south border of the domain - assign default category
                  IF ( kw <= roof_height_limit ) THEN
@@ -7181,62 +7238,65 @@
                      surf_usm_v(l)%surface_types(m) = roof_category   !< default category for wall surface in roof zone
                  END IF
-                 surf_usm_v(l)%albedo(:,m)    = -1.0_wp
-                 surf_usm_v(l)%thickness_wall(m) = -1.0_wp
-                 surf_usm_v(l)%thickness_window(m)   = -1.0_wp
-                 surf_usm_v(l)%thickness_green(m)    = -1.0_wp
-                 surf_usm_v(l)%transmissivity(m)  = -1.0_wp
+                 surf_usm_v(l)%albedo(:,m)         = -1.0_wp
+                 surf_usm_v(l)%thickness_wall(m)   = -1.0_wp
+                 surf_usm_v(l)%thickness_window(m) = -1.0_wp
+                 surf_usm_v(l)%thickness_green(m)  = -1.0_wp
+                 surf_usm_v(l)%transmissivity(m)   = -1.0_wp
               ELSE IF ( kw <= usm_par(ii,jw,iw) )  THEN
+!
 !--                 pedestrian zone
                  IF ( usm_par(ii+1,jw,iw) == 0 )  THEN
-                     surf_usm_v(l)%surface_types(m)  = pedestrian_category   !< default category for wall surface in pedestrian zone
-                     surf_usm_v(l)%albedo(:,m)    = -1.0_wp
-                     surf_usm_v(l)%thickness_wall(m) = -1.0_wp
-                     surf_usm_v(l)%thickness_window(m)   = -1.0_wp
-                     surf_usm_v(l)%thickness_green(m)    = -1.0_wp
-                     surf_usm_v(l)%transmissivity(m)  = -1.0_wp
+                     surf_usm_v(l)%surface_types(m)  = pedestrian_category   !< default category for wall surface in
+                                                                             !<pedestrian zone
+                     surf_usm_v(l)%albedo(:,m)         = -1.0_wp
+                     surf_usm_v(l)%thickness_wall(m)   = -1.0_wp
+                     surf_usm_v(l)%thickness_window(m) = -1.0_wp
+                     surf_usm_v(l)%thickness_green(m)  = -1.0_wp
+                     surf_usm_v(l)%transmissivity(m)   = -1.0_wp
                  ELSE
-                     surf_usm_v(l)%surface_types(m)  = usm_par(ii+1,jw,iw)
-                     surf_usm_v(l)%albedo(:,m)    = usm_val(ij,jw,iw)
-                     surf_usm_v(l)%thickness_wall(m) = usm_val(ij+1,jw,iw)
-                     surf_usm_v(l)%thickness_window(m)   = usm_val(ij+1,jw,iw)
-                     surf_usm_v(l)%thickness_green(m)    = usm_val(ij+1,jw,iw)
-                     surf_usm_v(l)%transmissivity(m)  = 0.0_wp
+                     surf_usm_v(l)%surface_types(m)    = usm_par(ii+1,jw,iw)
+                     surf_usm_v(l)%albedo(:,m)         = usm_val(ij,jw,iw)
+                     surf_usm_v(l)%thickness_wall(m)   = usm_val(ij+1,jw,iw)
+                     surf_usm_v(l)%thickness_window(m) = usm_val(ij+1,jw,iw)
+                     surf_usm_v(l)%thickness_green(m)  = usm_val(ij+1,jw,iw)
+                     surf_usm_v(l)%transmissivity(m)   = 0.0_wp
                  ENDIF
               ELSE IF ( kw <= usm_par(ii+2,jw,iw) )  THEN
+!
 !--              wall zone
                  IF ( usm_par(ii+3,jw,iw) == 0 )  THEN
-                     surf_usm_v(l)%surface_types(m)  = wall_category         !< default category for wall surface
-                     surf_usm_v(l)%albedo(:,m)    = -1.0_wp
-                     surf_usm_v(l)%thickness_wall(m) = -1.0_wp
-                     surf_usm_v(l)%thickness_window(m)   = -1.0_wp
-                     surf_usm_v(l)%thickness_green(m)    = -1.0_wp
-                     surf_usm_v(l)%transmissivity(m)  = -1.0_wp
+                     surf_usm_v(l)%surface_types(m)    = wall_category         !< default category for wall surface
+                     surf_usm_v(l)%albedo(:,m)         = -1.0_wp
+                     surf_usm_v(l)%thickness_wall(m)   = -1.0_wp
+                     surf_usm_v(l)%thickness_window(m) = -1.0_wp
+                     surf_usm_v(l)%thickness_green(m)  = -1.0_wp
+                     surf_usm_v(l)%transmissivity(m)   = -1.0_wp
                  ELSE
-                     surf_usm_v(l)%surface_types(m)  = usm_par(ii+3,jw,iw)
-                     surf_usm_v(l)%albedo(:,m)    = usm_val(ij+2,jw,iw)
-                     surf_usm_v(l)%thickness_wall(m) = usm_val(ij+3,jw,iw)
-                     surf_usm_v(l)%thickness_window(m)   = usm_val(ij+3,jw,iw)
-                     surf_usm_v(l)%thickness_green(m)    = usm_val(ij+3,jw,iw)
-                     surf_usm_v(l)%transmissivity(m)  = 0.0_wp
+                     surf_usm_v(l)%surface_types(m)    = usm_par(ii+3,jw,iw)
+                     surf_usm_v(l)%albedo(:,m)         = usm_val(ij+2,jw,iw)
+                     surf_usm_v(l)%thickness_wall(m)   = usm_val(ij+3,jw,iw)
+                     surf_usm_v(l)%thickness_window(m) = usm_val(ij+3,jw,iw)
+                     surf_usm_v(l)%thickness_green(m)  = usm_val(ij+3,jw,iw)
+                     surf_usm_v(l)%transmissivity(m)   = 0.0_wp
                  ENDIF
               ELSE IF ( kw <= usm_par(ii+4,jw,iw) )  THEN
+!
 !--              roof zone
                  IF ( usm_par(ii+5,jw,iw) == 0 )  THEN
-                     surf_usm_v(l)%surface_types(m)  = roof_category         !< default category for roof surface
-                     surf_usm_v(l)%albedo(:,m)    = -1.0_wp
-                     surf_usm_v(l)%thickness_wall(m) = -1.0_wp
-                     surf_usm_v(l)%thickness_window(m)   = -1.0_wp
-                     surf_usm_v(l)%thickness_green(m)    = -1.0_wp
-                     surf_usm_v(l)%transmissivity(m)  = -1.0_wp
+                     surf_usm_v(l)%surface_types(m)    = roof_category         !< default category for roof surface
+                     surf_usm_v(l)%albedo(:,m)         = -1.0_wp
+                     surf_usm_v(l)%thickness_wall(m)   = -1.0_wp
+                     surf_usm_v(l)%thickness_window(m) = -1.0_wp
+                     surf_usm_v(l)%thickness_green(m)  = -1.0_wp
+                     surf_usm_v(l)%transmissivity(m)   = -1.0_wp
                  ELSE
-                     surf_usm_v(l)%surface_types(m)  = usm_par(ii+5,jw,iw)
-                     surf_usm_v(l)%albedo(:,m)    = usm_val(ij+4,jw,iw)
-                     surf_usm_v(l)%thickness_wall(m) = usm_val(ij+5,jw,iw)
-                     surf_usm_v(l)%thickness_window(m)   = usm_val(ij+5,jw,iw)
-                     surf_usm_v(l)%thickness_green(m)    = usm_val(ij+5,jw,iw)
-                     surf_usm_v(l)%transmissivity(m)  = 0.0_wp
+                     surf_usm_v(l)%surface_types(m)    = usm_par(ii+5,jw,iw)
+                     surf_usm_v(l)%albedo(:,m)         = usm_val(ij+4,jw,iw)
+                     surf_usm_v(l)%thickness_wall(m)   = usm_val(ij+5,jw,iw)
+                     surf_usm_v(l)%thickness_window(m) = usm_val(ij+5,jw,iw)
+                     surf_usm_v(l)%thickness_green(m)  = usm_val(ij+5,jw,iw)
+                     surf_usm_v(l)%transmissivity(m)   = 0.0_wp
                  ENDIF
               ELSE
-!
                  WRITE(9,*) 'Problem reading USM data:'
                  WRITE(9,*) l,i,j,kw,get_topography_top_index_ji( j, i, 's' )
@@ -7247,4 +7307,5 @@
                  WRITE(9,*) kw,roof_height_limit,wall_category,roof_category
                  FLUSH(9)
+!
 !--              supply the default category
                  IF ( kw <= roof_height_limit ) THEN
@@ -7253,9 +7314,9 @@
                      surf_usm_v(l)%surface_types(m) = roof_category   !< default category for wall surface in roof zone
                  END IF
-                 surf_usm_v(l)%albedo(:,m)    = -1.0_wp
-                 surf_usm_v(l)%thickness_wall(m) = -1.0_wp
+                 surf_usm_v(l)%albedo(:,m)         = -1.0_wp
+                 surf_usm_v(l)%thickness_wall(m)   = -1.0_wp
                  surf_usm_v(l)%thickness_window(m) = -1.0_wp
-                 surf_usm_v(l)%thickness_green(m) = -1.0_wp
-                 surf_usm_v(l)%transmissivity(m)  = -1.0_wp
+                 surf_usm_v(l)%thickness_green(m)  = -1.0_wp
+                 surf_usm_v(l)%transmissivity(m)   = -1.0_wp
               ENDIF
 !
@@ -7270,4 +7331,5 @@
               ENDDO
               IF ( ip == -99999 )  THEN
+!
 !--              wall category not found
                  WRITE (9, "(A,I7,A,3I5)") 'wall category ', it,  &
@@ -7282,4 +7344,5 @@
                  ENDDO
                  IF ( ip == -99999 )  THEN
+!
 !--                 default wall category not found
                     WRITE (9, "(A,I5,A,3I5)") 'Default wall category', category, ' not found!'
@@ -7405,5 +7468,5 @@
            ENDDO
         ENDIF
-
+!
 !--     coordinate not found
         isurfl = -1
@@ -7423,5 +7486,5 @@
     SUBROUTINE usm_read_wall_temperature
 
-        INTEGER(iwp)                                          :: i, j, k, d, ii, iline
+        INTEGER(iwp)                                          :: i, j, k, d, ii, iline  !> running indices
         INTEGER(iwp)                                          :: isurfl
         REAL(wp)                                              :: rtsurf
@@ -7429,9 +7492,7 @@
 
 
-
-
         DO  ii = 0, io_blocks-1
             IF ( ii == io_group )  THEN
-
+!
 !--             open wall temperature file
                 OPEN( 152, file='WALL_TEMPERATURE'//coupling_char, action='read', &
@@ -7454,5 +7515,5 @@
                             CALL message( 'usm_read_wall_temperature', 'PA0521', 1, 2, 0, 6, 0 )
                         ENDIF
-
+!
 !--                     assign temperatures
                         IF ( d == 0 ) THEN
@@ -7498,4 +7559,6 @@
 !> with many simplifications and adjustments.
 !> TODO better description
+!> No calculation of window surface temperatures during spinup to increase
+!> maximum possible timstep
 !------------------------------------------------------------------------------!
     SUBROUTINE usm_surface_energy_balance( spinup )
@@ -7504,5 +7567,5 @@
         IMPLICIT NONE
 
-        INTEGER(iwp) :: i, j, k, l, m   !< running indices
+        INTEGER(iwp)                          :: i, j, k, l, m   !< running indices
         
         INTEGER(iwp) ::  i_off     !< offset to determine index of surface element, seen from atmospheric grid point, for x
@@ -7512,5 +7575,5 @@
         LOGICAL                               :: spinup             !true during spinup
         
-        REAL(wp)                              :: stend_wall              !< surface tendency
+        REAL(wp)                              :: stend_wall         !< surface tendency
         
         REAL(wp)                              :: stend_window       !< surface tendency
@@ -7526,28 +7589,31 @@
         REAL(wp)                              :: f_shf_window       !< factor for shf_eb window
         REAL(wp)                              :: f_shf_green        !< factor for shf_eb green wall
-        REAL(wp)                              :: lambda_surface     !< current value of lambda_surface (heat conductivity between air and wall)
-        REAL(wp)                              :: lambda_surface_window !< current value of lambda_surface (heat conductivity between air and window)
-        REAL(wp)                              :: lambda_surface_green  !< current value of lambda_surface (heat conductivity between air and greeb wall)
+        REAL(wp)                              :: lambda_surface     !< current value of lambda_surface (heat conductivity
+                                                                    !<between air and wall)
+        REAL(wp)                              :: lambda_surface_window  !< current value of lambda_surface (heat conductivity
+                                                                        !< between air and window)
+        REAL(wp)                              :: lambda_surface_green   !< current value of lambda_surface (heat conductivity
+                                                                        !< between air and greeb wall)
         
         REAL(wp)                              :: dtime              !< simulated time of day (in UTC)
         INTEGER(iwp)                          :: dhour              !< simulated hour of day (in UTC)
         REAL(wp)                              :: acoef              !< actual coefficient of diurnal profile of anthropogenic heat
-        REAL(wp) ::  f1,          & !< resistance correction term 1
-                     f2,          & !< resistance correction term 2
-                     f3,          & !< resistance correction term 3
-                     e,           & !< water vapour pressure
-                     e_s,         & !< water vapour saturation pressure
-                     e_s_dt,      & !< derivate of e_s with respect to T
-                     tend,        & !< tendency
-                     dq_s_dt,     & !< derivate of q_s with respect to T
-                     f_qsws,      & !< factor for qsws
-                     f_qsws_veg,  & !< factor for qsws_veg
-                     f_qsws_liq,  & !< factor for qsws_liq
-                     m_liq_max,   & !< maxmimum value of the liq. water reservoir
-                     qv1,         & !< specific humidity at first grid level
-                     m_max_depth = 0.0002_wp, & ! Maximum capacity of the water reservoir (m)
-                     rho_lv,      &
-                     drho_l_lv,   &
-                     q_s
+        REAL(wp) ::  f1,          &  !< resistance correction term 1
+                     f2,          &  !< resistance correction term 2
+                     f3,          &  !< resistance correction term 3
+                     e,           &  !< water vapour pressure
+                     e_s,         &  !< water vapour saturation pressure
+                     e_s_dt,      &  !< derivate of e_s with respect to T
+                     tend,        &  !< tendency
+                     dq_s_dt,     &  !< derivate of q_s with respect to T
+                     f_qsws,      &  !< factor for qsws
+                     f_qsws_veg,  &  !< factor for qsws_veg
+                     f_qsws_liq,  &  !< factor for qsws_liq
+                     m_liq_max,   &  !< maxmimum value of the liq. water reservoir
+                     qv1,         &  !< specific humidity at first grid level
+                     m_max_depth = 0.0002_wp, &  !< Maximum capacity of the water reservoir (m)
+                     rho_lv,      &  !< frequently used parameter for green layers
+                     drho_l_lv,   &  !< frequently used parameter for green layers
+                     q_s             !< saturation specific humidity
 
 !
@@ -7602,5 +7668,5 @@
 !--        pt, us, ts are not available for the prognostic time step,
 !--        data from the last time step is used here.
-
+!
 !--        Workaround: use single r_a as stability is only treated for the
 !--        average temperature
@@ -7621,5 +7687,5 @@
                surf_usm_h%r_a(m)        = 1.0_wp
            IF ( surf_usm_h%r_a_green(m)  < 1.0_wp )                            &
-               surf_usm_h%r_a_green(m) = 1.0_wp
+               surf_usm_h%r_a_green(m)  = 1.0_wp
            IF ( surf_usm_h%r_a_window(m) < 1.0_wp )                            &
                surf_usm_h%r_a_window(m) = 1.0_wp
@@ -7631,9 +7697,9 @@
                surf_usm_h%r_a(m)        = 300.0_wp
            IF ( surf_usm_h%r_a_green(m)  > 300.0_wp )                          &
-               surf_usm_h%r_a_green(m) = 300.0_wp
+               surf_usm_h%r_a_green(m)  = 300.0_wp
            IF ( surf_usm_h%r_a_window(m) > 300.0_wp )                          &
                surf_usm_h%r_a_window(m) = 300.0_wp                
                 
-                
+!
 !--        factor for shf_eb
            f_shf  = rho_cp / surf_usm_h%r_a(m)
